
#ifndef RTE_ADC_INTERIM_VERSION_H__
#define RTE_ADC_INTERIM_VERSION_H__

#include <stdint.h>

extern const uint8_t u8ADCChList[];

#define ADC_RESOLUTION (4096U) /* 12bit ADC */

extern void RTE_ADC_Init(const uint8_t u8ChList[], uint8_t u8ChNum);
extern void RTE_ADC_DeInit(void);
extern void RTE_ADC_Start_Conversion(void);
extern void RTE_ADC_Stop_Conversion(void);
extern uint8_t RTE_ADC_Get_Conversion_Status(void);
extern void RTE_ADC_Get_Conversion_Result(uint16_t *pu16Data, uint8_t u8ChNum);

#endif
